# CompanyAttributes

Attributes the company that owns this Bunny account

```json
{
  "name": "",
  "engineeringContactEmail": "",
  "inactivityTimeout": 123,
  "ssoEnabled": true,
  "ssoGoogleEnabled": true,
  "samlSsoUrl": "",
  "samlIssuer": "",
  "samlSignatureCertificate": "",
  "defaultRoleId": "456123",
  "ssoMode": "SsoMode",
  "baseCurrencyId": "",
  "outboundEmailsEnabled": true,
  "whitelistedOrigin": "",
  "migrationMode": true
}
```

| Name                     | Type                                                 | Description                           |
| ------------------------ | ---------------------------------------------------- | ------------------------------------- |
| name                     | String                                               |                                       |
| engineeringContactEmail  | String                                               | Email address for engineering contact |
| inactivityTimeout        | Int                                                  |                                       |
| ssoEnabled               | Boolean                                              |                                       |
| ssoGoogleEnabled         | Boolean                                              |                                       |
| samlSsoUrl               | String                                               | Identity Provider Single Sign-On URL  |
| samlIssuer               | String                                               | Identity Provider Issuer              |
| samlSignatureCertificate | String                                               | X.509 Certificate                     |
| defaultRoleId            | ID                                                   | Default role to assign to new users   |
| ssoMode                  | [SsoMode](/developer/api-reference/enums.md#ssomode) |                                       |
| baseCurrencyId           | String                                               | Base currency for the company         |
| outboundEmailsEnabled    | Boolean                                              | Whether outbound email is enabled     |
| whitelistedOrigin        | String                                               | Whitelisted origin for API requests   |
| migrationMode            | Boolean                                              |                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/companyattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
